"use strict";

// importDoc references this import's document
var importDoc;

// The polyfill uses _currentScript, so fallback to that, if the native implementation doesn't seem to be doing anything.
if(document._currentScript !== undefined)
	importDoc = document._currentScript.ownerDocument;
else
	importDoc = document.currentScript.ownerDocument;

// mainDoc references the main document (the page that's importing us)
var mainDoc = document;

// TPM - 12-04-2016 - Adding a checkbox to experimentally disable the coupling of gamespeed to framerate at sub-30fps
var uncoupleGameSpeedCheckbox = $("#UncoupleGamespeed", importDoc);
uncoupleGameSpeedCheckbox.appendTo($("#tabContentTesting .checkboxList"));


$(".docsbutton, #minisitebutton, #registerfornewsbutton").wrap("<div class='buttonholder'></div>");

$(".buttonholder").append("<img class='buttontexture' src='../../GamePGOW/images/texture.svg'>");